# $Revision: 1.21 $, $Date: 2005/12/31 18:33:05 $
%define		zope_subname	COREBlog
Summary:	Blog / Weblog / Web Nikki system on Zope
Summary(pl):	System bloga/webloga oparty na Zope
Name:		Zope-%{zope_subname}
Version:	1.22
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	http://coreblog.org/junk/%{zope_subname}122.tgz
# Source0-md5:	d2d1ca0c38da09d6edf907b36bdc123e
URL:		http://coreblog.org/
BuildRequires:	python
%pyrequires_eq	python-modules
Requires:	Zope >= 2.6.1
Requires(post,postun):	/usr/sbin/installzopeproduct
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Blog / Weblog / Web Nikki system on Zope.

%description -l pl
System bloga/webloga oparty na Zope.

%prep
%setup -q -n %{zope_subname}
find . -type d -name CVS | xargs rm -rf
find . -type f -name .DS_Store | xargs rm -rf

%build
mkdir docs docs/stripogram
mv -f changelog.txt docs
mv -f stripogram/readme.txt docs/stripogram
rm -rf dtml/changelog.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -af * $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/docs

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc docs/*
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-COREBlog.spec,v $
Revision 1.21  2005/12/31 18:33:05  ciesiel
- upgraded to version 1.22

Revision 1.20  2005/05/05 13:26:59  ciesiel
- removed epoch :) (added 1.20 to version)

Revision 1.19  2005/05/05 13:23:08  ciesiel
- added epoch

Revision 1.18  2005/05/05 13:19:57  ciesiel
- upgraded to version 1.2

Revision 1.17  2005/02/24 15:59:59  ciesiel
- upgraded to version 1.11

Revision 1.16  2005/02/02 15:59:31  ciesiel
- upgraded to version 1.1

Revision 1.15  2005/01/13 06:39:55  ankry
- spaces -> tabs

Revision 1.14  2005/01/12 21:11:06  ciesiel
- added BR: python

Revision 1.13  2004/12/26 18:54:23  saq
- release 2 for rebuild with python 2.4

Revision 1.12  2004/10/30 11:59:12  paladine
- spaces->tabs

Revision 1.11  2004/10/07 18:51:13  ciesiel
- upgraded to version 1.0

Revision 1.10  2004/07/28 08:03:21  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.9  2004/06/21 17:17:43  ciesiel
- upgraded to version 0.73b

Revision 1.8  2004/06/07 13:37:49  ciesiel
- upgraded to version 0.72b

Revision 1.7  2004/06/01 13:46:20  ciesiel
- upgraded to version 0.71b

Revision 1.6  2004/05/17 15:02:33  ciesiel
- upgraded to version 0.7b

Revision 1.5  2004/01/20 09:43:57  ciesiel
- upgraded to 0.6b version

Revision 1.4  2003/11/17 11:18:27  ciesiel
- install into new dir (datadir)
- installzopeproduct
- cleaning

Revision 1.3  2003/11/14 10:11:53  ciesiel
- upgraded to 0.52b

Revision 1.2  2003/10/28 22:35:15  qboosh
- cleanups

Revision 1.1  2003/10/28 21:34:39  ciesiel
- initial release
